mr_bones_    14/11/19 05:01:17

  Modified:             ngstar-2.1.8-r2.ebuild ChangeLog
  Log:
  build with ncurses[tinfo] (bug #529784)
  
  (Portage version: 2.2.8-r2/cvs/Linux x86_64, unsigned Manifest commit)

Revision  Changes    Path
1.10                 games-puzzle/ngstar/ngstar-2.1.8-r2.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-puzzle/ngstar/ngstar-2.1.8-r2.ebuild?rev=1.10&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-puzzle/ngstar/ngstar-2.1.8-r2.ebuild?rev=1.10&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-puzzle/ngstar/ngstar-2.1.8-r2.ebuild?r1=1.9&r2=1.10

Index: ngstar-2.1.8-r2.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/games-puzzle/ngstar/ngstar-2.1.8-r2.ebuild,v
retrieving revision 1.9
retrieving revision 1.10
diff -u -r1.9 -r1.10
--- ngstar-2.1.8-r2.ebuild      21 Jul 2012 20:33:46 -0000      1.9
+++ ngstar-2.1.8-r2.ebuild      19 Nov 2014 05:01:17 -0000      1.10
@@ -1,8 +1,8 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: 
/var/cvsroot/gentoo-x86/games-puzzle/ngstar/ngstar-2.1.8-r2.ebuild,v 1.9 
2012/07/21 20:33:46 tupone Exp $
+# $Header: 
/var/cvsroot/gentoo-x86/games-puzzle/ngstar/ngstar-2.1.8-r2.ebuild,v 1.10 
2014/11/19 05:01:17 mr_bones_ Exp $
 
-EAPI=2
+EAPI=5
 inherit eutils games
 
 DESCRIPTION="NGStar is a clone of a HP48 game called dstar"
@@ -14,8 +14,10 @@
 KEYWORDS="~amd64 x86"
 IUSE=""
 
-DEPEND="sys-libs/ncurses
+RDEPEND="sys-libs/ncurses
        sys-libs/gpm"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig"
 
 src_prepare() {
        epatch \
@@ -28,17 +30,16 @@
                -e "s:@GENTOO_BIN@:${GAMES_BINDIR}:" \
                -e "/^CPPFLAGS/s:+=:+= ${CXXFLAGS}:" \
                -e "/SILENT/d" \
-               configure || die "sed configure failed"
+               configure || die
 }
 
 src_configure() {
        ./configure \
                --prefix "" \
-               --without-fltk2 || die "configure failed"
+               --without-fltk2 || die
 }
 
 src_install() {
-       emake DESTDIR="${D}" install || die "emake install failed"
-       dodoc AUTHORS Changelog README TODO
+       default
        prepgamesdirs
 }



1.11                 games-puzzle/ngstar/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-puzzle/ngstar/ChangeLog?rev=1.11&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-puzzle/ngstar/ChangeLog?rev=1.11&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-puzzle/ngstar/ChangeLog?r1=1.10&r2=1.11

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/games-puzzle/ngstar/ChangeLog,v
retrieving revision 1.10
retrieving revision 1.11
diff -u -r1.10 -r1.11
--- ChangeLog   21 Jul 2012 20:33:46 -0000      1.10
+++ ChangeLog   19 Nov 2014 05:01:17 -0000      1.11
@@ -1,6 +1,10 @@
 # ChangeLog for games-puzzle/ngstar
-# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/games-puzzle/ngstar/ChangeLog,v 1.10 
2012/07/21 20:33:46 tupone Exp $
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/games-puzzle/ngstar/ChangeLog,v 1.11 
2014/11/19 05:01:17 mr_bones_ Exp $
+
+  19 Nov 2014; Michael Sterrett <[email protected]>
+  files/ngstar-2.1.8-ldflags.patch, ngstar-2.1.8-r2.ebuild:
+  build with ncurses[tinfo] (bug #529784)
 
   21 Jul 2012; Tupone Alfredo <[email protected]> ngstar-2.1.8-r2.ebuild,
   +files/ngstar-2.1.8-gcc47.patch:
@@ -45,4 +49,3 @@
 
   11 Apr 2006; <[email protected]> +metadata.xml, +ngstar-2.1.8.ebuild:
   Initial import. Ebuild submitted by Alexandru Toma, bug #66294
-




Reply via email to